{% extends "recipes/base.html" %}

{% block title %}
Edit {{ recipe.title }} | 
{% endblock %}

{% block body %}
{% if ingredients %}
{{ ingredients|json_script:"ingredients_json" }}
{% endif %}
<div class="cloak">
  <div class="container">
    <div class="row">
      <aside class="col-12 col-lg-4">
        {% if form.image.value %}
        <div class="recipe-img-container" style="background-image: url(/media/{{ form.image.value }})"></div>
        {% endif %}
        <div class="container">
          {% include "recipes/recipe-ingredients.html" %}
        </div>
      </aside>
      <main class="col-12 col-lg-8">
        <div class="container">
          {% if form.title.value == "" %}
          <h1>Add recipe</h1>
          {% else %}
          <h1>Edit recipe</h1>
          {% endif %}
          <form method="post" class="recipe-form" method="post" enctype="multipart/form-data">
            <input type="hidden" name="ingredients" id="id_ingredients">
            <input type="hidden" name="steps" id="id_steps">
            <div class="row">
              {% csrf_token %}
              <div class="col-12">
                <div class="form-group row align-items-center">
                  <label class="col-12 col-lg-3 col-form-label">{{ form.title.label_tag }}</label>
                  <div class="col-12 col-lg-5">
                    <input type="text" id="id_title" name="title" value="{{ form.title.value }}" class="form-control">
                  </div>
                  <small class="text-muted title_help col-12 col-lg-4">Give a catchy title.</small>
                  {% for error in form.title.errors %}
                  <div class="alert alert-danger" role="alert">
                    {{ error }}
                  </div>
                  {% endfor %}
                </div>
                <div class="form-group row align-items-center">
                  <label class="col-3 col-form-label">{{ form.image.label_tag }}</label>
                  <div class="col-9">
                    <input type="file" class="form-control-file" id="id_image" name="image">
                  </div>
                  {% for error in form.image.errors %}
                  <div class="alert alert-danger" role="alert">
                    {{ error }}
                  </div>
                  {% endfor %}
                </div>
                <div class="form-group row align-items-start">
                  <label class="col-12 col-lg-3 col-form-label">{{ form.intro.label_tag }}</label>
                  <div class="col-12 col-lg-9">
                    <textarea id="id_intro" name="intro" class="form-control">{% if form.intro.value != None %}{{ form.intro.value }}{% endif %}</textarea>
                  </div>
                  {% for error in form.intro.errors %}
                  <div class="alert alert-danger" role="alert">
                    {{ error }}
                  </div>
                  {% endfor %}
                </div>
                <h2>Steps</h2>
                <section class="steps-section">
                  <div id="steps_container">
                    {%if steps %}
                    {% for step in steps %}
                    <div class="form-group row align-items-start step-row">
                      <label class="col-1 col-form-label">{{ step.step_order }}.</label>
                      <div class="col-12 col-lg-11">
                        <textarea id="id_step_{{ step.step_order }}" name="step-{{ step.step_order }}" class="form-control step">{{ step.step_text }}</textarea>
                      </div>
                    </div>
                    {% endfor %}
                    {% else %}
                    <div class="form-group row align-items-start step-row">
                      <label class="col-1 col-form-label">1.</label>
                      <div class="col-11">
                        <textarea id="id_step_1" name="step-1" class="form-control step"></textarea>
                      </div>
                    </div>
                    {% endif %}
                  </div>
                  <button class="btn btn-primary col-12 offset-lg-1 col-lg-2" id="add-step">✚ Add step</button>
                  <small class="text-muted title_help col-8">Empty steps will be removed at save.</small>
                </section>
                <div class="form-group row align-items-start">
                  <label class="col-12 col-lg-3 col-form-label">{{ form.notes.label_tag }}</label>
                  <div class="col-12 col-lg-9">
                    <textarea id="id_notes" name="notes" class="form-control">{% if form.intro.value != None %}{{ form.notes.value }}{% endif %}</textarea>
                  </div>
                  {% for error in form.notes.errors %}
                  <div class="alert alert-danger" role="alert">
                    {{ error }}
                  </div>
                  {% endfor %}
                </div>
                <div class="form-group row align-items-center">
                  <label class="col-4 col-lg-3 col-form-label">{{ form.prep_time.label_tag }}</label>
                  <div class="input-group col-6 col-lg-3">
                    <input type="number" steps=1 id="id_prep_time" name="prep_time" value="{{ form.prep_time.value }}" class="form-control">
                    <div class="input-group-append">
                      <span class="input-group-text">min</span>
                    </div>
                  </div>
                  <div class="col-2 col-lg-4"></div>
                  {% for error in form.prep_time.errors %}
                  <div class="alert alert-danger" role="alert">
                    {{ error }}
                  </div>
                  {% endfor %}
                </div>
                <div class="form-group row align-items-center">
                  <label class="col-4 col-lg-3 col-form-label">{{ form.cooking_time.label_tag }}</label>
                  <div class="input-group col-6 col-lg-3">
                    <input type="number" steps=1 id="id_cooking_time" name="cooking_time" value="{{ form.cooking_time.value }}" class="form-control">
                    <div class="input-group-append">
                      <span class="input-group-text">min</span>
                    </div>
                  </div>
                  <div class="col-2 col-lg-4"></div>
                  {% for error in form.cooking_time.errors %}
                  <div class="alert alert-danger" role="alert">
                    {{ error }}
                  </div>
                  {% endfor %}
                </div>
                <div class="form-group row align-items-center">
                  <label class="col-4 col-lg-3 col-form-label">{{ form.serves.label_tag }}</label>
                  <div class="input-group col-4 col-lg-3">
                    <input type="number" steps=1 id="id_serves" name="serves" value="{{ form.serves.value }}" class="form-control">
                  </div>
                  <div class="col-3"></div>
                  {% for error in form.serves.errors %}
                  <div class="alert alert-danger" role="alert">
                    {{ error }}
                  </div>
                  {% endfor %}
                </div>
                <div class="form-group row align-items-center">
                  <label class="col-4 col-lg-3 col-form-label">{{ form.difficulty.label_tag }}</label>
                  <div class="col-8 col-lg-5">
                    <input type="range" min="1" max="3" steps=1 id="id_difficulty" name="difficulty" value="{{ form.difficulty.value }}" class="form-control">
                  </div>
                  <small class="text-muted title_help col-8 offset-4 col-lg-5 offset-lg-3 d-flex justify-content-between">
                    <span>Easy</span>
                    <span>Average</span>
                    <span>Difficult</span>
                  </small>
                  <div class="col-1"></div>
                  <div class="col-4"></div>
                  {% for error in form.difficulty.errors %}
                  <div class="alert alert-danger" role="alert">
                    {{ error }}
                  </div>
                  {% endfor %}
                </div>
                <div class="row btn-row-container justify-content-between">
                  <button type="submit" class="btn btn-primary" name="draft">Save draft</button>
                  <button type="submit" class="btn btn-success" name="publish">Publish</button>
                </div>
              </div>
            </div>

          </form>
        </div>
      </main>
    </div>
  </div>
</div>
<div class="modal" tabindex="-1" role="dialog">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Add commodity</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        {% include "recipes/commodity-form.html" %}
      </div>
    </div>
  </div>
</div>
{% endblock %}
